<div class="header bg-gradient-teal pb-8 pt-5 pt-md-8">
  <div class="container-fluid breadcrumbs">
    <!-- Breadcrumbs -->
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page"> <i class="fas fa-home"></i> Farmácia Popular</li>
        <li class="breadcrumb-item"><a routerLinkActive="active" [routerLink]="['/automation/notification']">Notificação</a></li>
        <li class="breadcrumb-item active" aria-current="page">Pedido de Esclarecimento</li>
        <li class="breadcrumb-item active" aria-current="page">Tipos de Ocorrências</li>
      </ol>
    </nav>
  </div>
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row">
        <div class="col-lg-12">
        </div>
      </div>
    </div>
  </div>
</div>
<div class="container-fluid mt--7">
  <div class="row">
    <div class="col-xl-7">
      <div class="card bg-secondary shadow">
        <div class="card-header bg-white border-0">
          <div class="row align-items-center">
            <div class="col-10">
              <h3 class="mb-0">Cadastrar ou alterar Tipo de Ocorrência</h3>
            </div>
            <div class="col-2 text-right">
              <button class="btn btn-sm btn-warning" (click)="saveOccurrenceType()" [disabled]="!occurrencesTypesFormBuilder.valid">Salvar</button>
            </div>
          </div>
        </div>
        <div class="card-body">
          <form [formGroup]="occurrencesTypesFormBuilder">
            <h6 class="heading-small text-muted mb-4">Informações do Tipo de Ocorrência</h6>
            <div class="pl-lg-4">
              <div class="row">
                <div class="col-lg-12">
                  <div class="form-group">
                    <label class="form-control-label" for="id">Código da Ocorrência</label>
                    <input type="text" class="form-control form-control-alternative" formControlName="id" name="id" id="id" placeholder="Código interno para o tipo de Ocorrência" required>
                  </div>
                </div>
              </div>
            </div>

            <hr class="my-4" />
            <!-- Description -->
            <h6 class="heading-small text-muted mb-4">Sobre o Tipo de Ocorrência</h6>
            <div class="pl-lg-4">
              <div class="form-group">
                <label for="name">Descrição da abrangência deste Tipo de Ocorrência</label>
                <textarea rows="4" class="form-control form-control-alternative" formControlName="name" name="name" id="name" placeholder="Descreva os itens e/ou ações que ocorrerem neste Tipo de Ocorrência aborda." required></textarea>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="col-xl-5 mb-5 mb-xl-0">
      <div class="card shadow" style="max-height: calc(100vh - 200px)">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0">Tipos de Ocorrências</h3>
            </div>

            <div class="col text-right">
              <!-- <button class="btn btn-sm btn-primary" (click)="reset()">
                <i class="fas fa-sync-alt mr-1"></i>
                Reiniciar Lista
              </button> -->
            </div>
          </div>
        </div>
        <div class="table-responsive">
          <!-- Projects table -->
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
            <tr>
              <th scope="col">Cód.</th>
              <th scope="col">Descrição</th>
              <th scope="col">Ações</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let occurrenceType of occurrencesTypes">
              <td>
                {{occurrenceType.id}}
              </td>
              <td class="cell-truncate">
                <span>{{occurrenceType.name}}</span>
              </td>
              <td>
                <button type="button" (click)="removeOccurrenceType(occurrenceType.id)" class="btn btn-outline-danger sidebar-icon mr-2"><i class="fas fa-trash"></i></button>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
